import { useMemo } from 'react';

var convertStringToHex = function convertStringToHex(str) {
  var hash = 0;

  if (str.length === 0) {
    return;
  }

  for (var i = 0; i < str.length; i++) {
    hash = str.charCodeAt(i) + ((hash << 5) - hash);
    hash = hash & hash;
  }

  var color = '#';

  for (var j = 0; j < 3; j++) {
    var value = hash >> j * 8 & 255;
    color += ('00' + value.toString(16)).substr(-2);
  }

  return color;
};

var useConvertStringToHex = function useConvertStringToHex(str) {
  return useMemo(function () {
    return str ? convertStringToHex(str) : undefined;
  }, [str]);
};

export default useConvertStringToHex;